Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 1038)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 1039)
@@ -44,25 +44,25 @@
 	 * Current page.
 	 */
 	@Parameter(key=InternalViewPreferences.CURRENT_PAGE)
-	protected int currentPage;
+	protected int pCurrentPage;
 
 	/**
 	 * Structural unit to explore.
 	 */
 	@Parameter(key=TXMPreferences.STRUCTURAL_UNIT)
-	protected StructuralUnit structuralUnit;
+	protected StructuralUnit pStructuralUnit;
 
 	/**
 	 * Word properties to display.
 	 */
 	@Parameter(key=TXMPreferences.UNIT_PROPERTIES)
-	protected List<WordProperty> wordProperties;
+	protected List<WordProperty> pWordProperties;
 	
 	/**
 	 * Structural units to display.
 	 */
 	@Parameter(key=TXMPreferences.STRUCTURAL_UNIT_PROPERTIES)
-	protected List<StructuralUnitProperty> structuralUnitsProperties;
+	protected List<StructuralUnitProperty> pStructuralUnitsProperties;
 	
 	
 	/**
@@ -86,9 +86,12 @@
 	@Override
 	public boolean loadParameters() throws Exception {
 		try {
-			this.structuralUnit = this.getCorpus().getStructuralUnit(this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT));
-			this.wordProperties = (List<WordProperty>) Property.stringToProperties(this.getCorpus(), this.getStringParameterValue(TXMPreferences.UNIT_PROPERTIES));
-			this.structuralUnitsProperties = StructuralUnitProperty.stringToProperties(this.getCorpus(), this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT_PROPERTIES));
+			String str = this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT);
+			this.pStructuralUnit = this.getCorpus().getStructuralUnit(str);
+			str = this.getStringParameterValue(TXMPreferences.UNIT_PROPERTIES);
+			this.pWordProperties = (List<WordProperty>) Property.stringToProperties(this.getCorpus(), str);
+			str = this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT_PROPERTIES);
+			this.pStructuralUnitsProperties = StructuralUnitProperty.stringToProperties(this.getCorpus(), str);
 		} catch (CqiClientException e) {
 			Log.printStackTrace(e);
 			return false;
@@ -101,9 +104,9 @@
 	protected boolean _compute() throws Exception {
 
 		if(this.hasParameterChanged(InternalViewPreferences.STRUCTURAL_UNIT))	{
-			this.currentPage = 0;
+			this.pCurrentPage = 0;
 			//find struct start-end
-			Query query = new Query("<" + structuralUnit.getName() + "> [] expand to " + structuralUnit); //$NON-NLS-1$ //$NON-NLS-2$
+			Query query = new Query("<" + pStructuralUnit.getName() + "> [] expand to " + pStructuralUnit); //$NON-NLS-1$ //$NON-NLS-2$
 			//System.out.println(query);
 			QueryResult result = getCorpus().query(query, "test", false); //$NON-NLS-1$
 			nmatches = result.getNMatch();
@@ -125,11 +128,11 @@
 	@Override
 	public boolean canCompute() {
 		return getCorpus() != null && 
-				structuralUnit != null && 
-				wordProperties != null && 
-				wordProperties.size() > 0 && 
-				structuralUnitsProperties != null && 
-				structuralUnitsProperties.size() > 0;
+				pStructuralUnit != null && 
+				pWordProperties != null && 
+				pWordProperties.size() > 0 && 
+				pStructuralUnitsProperties != null && 
+				pStructuralUnitsProperties.size() > 0;
 	}
 	
 	/**
@@ -150,10 +153,10 @@
 			for(int v : positions) {
 				p[c++] = v;
 			}
-			for (Property prop : wordProperties) {
+			for (Property prop : pWordProperties) {
 				rez.put(prop, Match.getValuesForProperty(prop, p));
 			}
-			currentPage = i;
+			pCurrentPage = i;
 		}
 		return rez;
 	}
@@ -165,7 +168,7 @@
 	 * @throws CqiClientException
 	 */
 	public HashMap<Property, List<String>> getCurrentPageContent() throws CqiClientException {
-		HashMap<Property, List<String>> current = this.getPageContent(currentPage);
+		HashMap<Property, List<String>> current = this.getPageContent(pCurrentPage);
 		return current;
 	}
 
@@ -177,21 +180,20 @@
 	 * @return the current page number
 	 */
 	public int getCurrentPage() {
-		return currentPage;
+		return pCurrentPage;
 	}
 	
-	
-	
 	@Override
 	public boolean saveParameters() {
-		if (structuralUnit != null) {
-			this.saveParameter(InternalViewPreferences.STRUCTURAL_UNIT, structuralUnit.getName());
+		if (pStructuralUnit != null) {
+			this.saveParameter(InternalViewPreferences.STRUCTURAL_UNIT, pStructuralUnit.getName());
 		}
-		if (structuralUnitsProperties != null) {
-			this.saveParameter(InternalViewPreferences.STRUCTURAL_UNIT_PROPERTIES, StructuralUnitProperty.propertiesToString(structuralUnitsProperties));
+		if (pStructuralUnitsProperties != null) {
+			String str = StructuralUnitProperty.propertiesToString(pStructuralUnitsProperties);
+			this.saveParameter(InternalViewPreferences.STRUCTURAL_UNIT_PROPERTIES, str);
 		}
-		if (wordProperties != null) {
-			this.saveParameter(InternalViewPreferences.UNIT_PROPERTIES, WordProperty.propertiesToString(wordProperties));
+		if (pWordProperties != null) {
+			this.saveParameter(InternalViewPreferences.UNIT_PROPERTIES, WordProperty.propertiesToString(pWordProperties));
 		}
 		
 		return true;
@@ -214,7 +216,7 @@
 	
 	@Override
 	public String getDetails() {
-		return getCorpus().getName()+" "+structuralUnit.getName()+" "+(currentPage+1); //$NON-NLS-1$ //$NON-NLS-2$
+		return getCorpus().getName()+" "+pStructuralUnit.getName()+" "+(pCurrentPage+1); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 
 
@@ -226,8 +228,8 @@
 	
 	@Override
 	public String getName() {
-		if (structuralUnit != null) {
-			return structuralUnit.getName( ) + " (" + (this.currentPage + 1) + " / " + this.nmatches + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		if (pStructuralUnit != null) {
+			return pStructuralUnit.getName( ) + " (" + (this.pCurrentPage + 1) + " / " + this.nmatches + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		}
 		return getCorpus().getName();
 	}
@@ -247,7 +249,7 @@
 	 * @return
 	 */
 	public List<WordProperty> getProperties() {
-		return wordProperties;
+		return pWordProperties;
 	}
 
 	/**
@@ -258,11 +260,11 @@
 		if (matches.size() == 0) {
 			return 0;
 		}
-		if (matches.size() < currentPage) {
+		if (matches.size() < pCurrentPage) {
 			return 0;
 		}
 		
-		Match m = matches.get(currentPage);
+		Match m = matches.get(pCurrentPage);
 		return m.size();
 	}
 
@@ -273,9 +275,9 @@
 	public String getStructInfos() {
 
 		try {
-			if (structuralUnitsProperties.size() > 0) {
+			if (pStructuralUnitsProperties.size() > 0) {
 				String str = InternalViewCoreMessages.InternalView_3;
-				for (Property sup : structuralUnitsProperties) {
+				for (Property sup : pStructuralUnitsProperties) {
 					int[] array = {getCurrentPage()};
 					str += " "+sup.getName()+"="+CQPSearchEngine.getCqiClient().struc2Str(sup.getQualifiedName(), array)[0]; //$NON-NLS-1$ //$NON-NLS-2$
 				}
@@ -293,7 +295,7 @@
 	 * @return
 	 */
 	public StructuralUnit getStructuralUnit() {
-		return structuralUnit;
+		return pStructuralUnit;
 	}
 
 
@@ -318,10 +320,10 @@
 
 	
 	public void setParameters(List<WordProperty> properties, StructuralUnit struct, List<StructuralUnitProperty> structProperties, Integer currentStructure) {
-		if (properties != null) this.wordProperties = properties;
-		if (struct != null) this.structuralUnit = struct;
-		if (structProperties != null) this.structuralUnitsProperties = structProperties;
-		if (currentStructure != null) this.currentPage = currentStructure;
+		if (properties != null) this.pWordProperties = properties;
+		if (struct != null) this.pStructuralUnit = struct;
+		if (structProperties != null) this.pStructuralUnitsProperties = structProperties;
+		if (currentStructure != null) this.pCurrentPage = currentStructure;
 		
 		dirty = true;
 	}
@@ -342,7 +344,7 @@
 		PrintWriter writer = IOUtils.getWriter(outfile, encoding);
 		for (int ipage = 0 ; ipage < nmatches ; ipage++) { // run through all pages
 			LinkedHashMap<Property, List<String>> page = getPageContent(ipage);
-			for (Property p : wordProperties) {
+			for (Property p : pWordProperties) {
 				writer.println(StringUtils.join(page.get(p), colseparator));
 			}
 			writer.println("\n\n");
@@ -357,7 +359,7 @@
 	 * @param structuralUnit
 	 */
 	public void setStructuralUnit(StructuralUnit structuralUnit) {
-		this.structuralUnit = structuralUnit;
+		this.pStructuralUnit = structuralUnit;
 	}
 
 
@@ -366,7 +368,7 @@
 	 * @param properties
 	 */
 	public void setWordProperties(List<WordProperty> properties)	{
-		this.wordProperties = properties;
+		this.pWordProperties = properties;
 	}
 	
 	/**
@@ -374,7 +376,7 @@
 	 * @param structuralUnitProperties
 	 */
 	public void setStructuralUnitProperties(List<StructuralUnitProperty> structuralUnitProperties) {
-		this.structuralUnitsProperties = structuralUnitProperties;
+		this.pStructuralUnitsProperties = structuralUnitProperties;
 	}
 
 
@@ -383,11 +385,11 @@
 	 * @param currentPage the currentPage to set
 	 */
 	public void setCurrentPage(int currentPage) {
-		this.currentPage = currentPage;
+		this.pCurrentPage = currentPage;
 		
-		if(this.currentPage < 0 || this.currentPage > (this.nmatches - 1))	 {
-			System.err.println("InternalView.canCompute(): current page (" + this.currentPage + ") is outside matches range (" + this.nmatches + ").");
-			this.currentPage = 0;
+		if(this.pCurrentPage < 0 || this.pCurrentPage > (this.nmatches - 1))	 {
+			System.err.println("InternalView.canCompute(): current page (" + this.pCurrentPage + ") is outside matches range (" + this.nmatches + ").");
+			this.pCurrentPage = 0;
 		}
 	}
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Property.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Property.java	(revision 1038)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Property.java	(revision 1039)
@@ -169,7 +169,7 @@
 		ArrayList<String> names = new ArrayList<String>();
 
 		for (Property p : pProperties) {
-			names.add(p.getName());
+			names.add(p.getFullName());
 		}
 		
 		return StringUtils.join(names, TXMPreferences.LIST_SEPARATOR);
